Bug 1051911 - (CVE-2013-5884) CVE-2013-5884 OpenJDK: insufficient security checks in CORBA stub factories (CORBA, 8026193)
CVE-2013-5884 OpenJDK: insufficient security checks in CORBA stub factories (...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140114,repor...
: Security
Depends On:
Blocks: 1049945
  Show dependency treegraph
 
Reported: 2014-01-12 15:25 EST by Tomas Hoger
Modified: 2014-07-29 11:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: icedtea 2.4.4, icedtea 2.3.13, icedtea 1.12.8, icedtea 1.13.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2014-01-12 15:25:56 EST
It was discovered that the CORBA stub factories did not properly check code permissions.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions.
Comment 1 Tomas Hoger 2014-01-14 16:15:39 EST
Public now via Oracle CPU January 2014.  Fixed in Oracle JDK 7u51, 6u71 and 5.0u61.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
Comment 2 errata-xmlrpc 2014-01-14 20:02:38 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0027 https://rhn.redhat.com/errata/RHSA-2014-0027.html
Comment 3 errata-xmlrpc 2014-01-14 20:04:18 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0026 https://rhn.redhat.com/errata/RHSA-2014-0026.html
Comment 4 errata-xmlrpc 2014-01-15 14:18:16 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0030 https://rhn.redhat.com/errata/RHSA-2014-0030.html
Comment 5 Tomas Hoger 2014-01-16 03:44:07 EST
OpenJDK7 upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/corba/rev/b1548473f261
Comment 6 errata-xmlrpc 2014-01-27 14:56:21 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0097 https://rhn.redhat.com/errata/RHSA-2014-0097.html
Comment 8 errata-xmlrpc 2014-02-04 14:38:10 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0135 https://rhn.redhat.com/errata/RHSA-2014-0135.html
Comment 9 errata-xmlrpc 2014-02-04 14:42:16 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0134 https://rhn.redhat.com/errata/RHSA-2014-0134.html
Comment 10 errata-xmlrpc 2014-04-17 07:42:28 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html
Comment 11 errata-xmlrpc 2014-06-10 09:12:56 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html
Comment 12 errata-xmlrpc 2014-07-29 11:41:28 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html

Note You need to log in before you can comment on or make changes to this bug.